import { jsx as _jsx } from "react/jsx-runtime";
import { InternalDevCycleClientsideProvider } from './internal/InternalDevCycleClientsideProvider';
export const DevCycleClientsideProvider = async ({ context, children, }) => {
    const clientsideContext = {
        ...context,
        serverData: context.enableStreaming
            ? undefined
            : await context.serverDataPromise,
    };
    return (_jsx(InternalDevCycleClientsideProvider, { context: clientsideContext, children: children }));
};
//# sourceMappingURL=DevCycleClientsideProvider.js.map